
Redmine - Defect #5290

r3664 breaks tests on SQLite3

2010-04-11 20:13 - Holger Just

Status: Closed Start date: 2010-04-11

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

See http://ci.finn.de/builds/1-8-7_redmine-trunk_sqlite3/3664

Failure: test_put_update_stale_issue(IssuesControllerTest)

[/test/functional/issues_controller_test.rb:988:in `test_put_update_stale_issue'

 /test/functional/issues_controller_test.rb:987:in `test_put_update_stale_issue']: 

"TimeEntry.count" didn't change by 0.

<4> expected but was <5>.

 The error does only occur on SQLite3. It passes on MySQL 5.0 and PostgreSQL 8.3.

It seems like SQLite3 does not properly follow the transaction and inserts the TimeEntry even though the transaction is later rolled

back (I might be seriously wrong though...)

Associated revisions

Revision 3669 - 2010-04-12 19:43 - Jean-Philippe Lang

Fixes a test failure with SQLite3 due to transaction fixtures (#5290).

History

#1 - 2010-04-12 19:16 - Jean-Philippe Lang

You're absolutely right. I'm aware of it.

#2 - 2010-04-12 19:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

The problem was due to transactional fixtures and was not occuring when running the application.

Anyway, it's fixed in r3669 by moving the test to a new class with transactional fixtures turned off.

Powered by TCPDF (www.tcpdf.org)

2024-04-26 1/1

http://ci.finn.de/builds/1-8-7_redmine-trunk_sqlite3/3664
https://www.redmine.org/projects/redmine/repository/svn/revisions/3669
http://www.tcpdf.org

